<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{1CBF9FF9-2FA7-495B-BB7D-B6EE85AAAB48}</ProjectGuid>
    <ConfigurationType>Application</ConfigurationType>
    <RootNamespace>Exteor</RootNamespace>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>v143</PlatformToolset>
    <EnableASAN>false</EnableASAN>
    <UseOfMfc>Dynamic</UseOfMfc>
    <Keyword>MFCProj</Keyword>
    <ProjectName />
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <UseDebugLibraries>true</UseDebugLibraries>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <UseDebugLibraries>true</UseDebugLibraries>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="..\packages\Poco.Foundation.vs150.noarch.1.10.1\build\native\Poco.Foundation.vs150.noarch.targets" Condition="Exists('..\packages\Poco.Foundation.vs150.noarch.1.10.1\build\native\Poco.Foundation.vs150.noarch.targets')" />
    <Import Project="..\packages\Poco.Foundation.vs150.static.1.10.1\build\native\Poco.Foundation.vs150.static.targets" Condition="Exists('..\packages\Poco.Foundation.vs150.static.1.10.1\build\native\Poco.Foundation.vs150.static.targets')" />
    <Import Project="..\packages\Poco.JSON.vs150.noarch.1.10.1\build\native\Poco.JSON.vs150.noarch.targets" Condition="Exists('..\packages\Poco.JSON.vs150.noarch.1.10.1\build\native\Poco.JSON.vs150.noarch.targets')" />
    <Import Project="..\packages\Poco.JSON.vs150.static.1.10.1\build\native\Poco.JSON.vs150.static.targets" Condition="Exists('..\packages\Poco.JSON.vs150.static.1.10.1\build\native\Poco.JSON.vs150.static.targets')" />
    <Import Project="..\packages\Poco.Net.vs150.noarch.1.10.1\build\native\Poco.Net.vs150.noarch.targets" Condition="Exists('..\packages\Poco.Net.vs150.noarch.1.10.1\build\native\Poco.Net.vs150.noarch.targets')" />
    <Import Project="..\packages\Poco.Net.vs150.static.1.10.1\build\native\Poco.Net.vs150.static.targets" Condition="Exists('..\packages\Poco.Net.vs150.static.1.10.1\build\native\Poco.Net.vs150.static.targets')" />
    <Import Project="..\packages\Poco.Util.vs150.noarch.1.10.1\build\native\Poco.Util.vs150.noarch.targets" Condition="Exists('..\packages\Poco.Util.vs150.noarch.1.10.1\build\native\Poco.Util.vs150.noarch.targets')" />
    <Import Project="..\packages\Poco.XML.vs150.noarch.1.10.1\build\native\Poco.XML.vs150.noarch.targets" Condition="Exists('..\packages\Poco.XML.vs150.noarch.1.10.1\build\native\Poco.XML.vs150.noarch.targets')" />
    <Import Project="..\packages\Poco.XML.vs150.static.1.10.1\build\native\Poco.XML.vs150.static.targets" Condition="Exists('..\packages\Poco.XML.vs150.static.1.10.1\build\native\Poco.XML.vs150.static.targets')" />
    <Import Project="..\packages\Poco.Util.vs150.static.1.10.1\build\native\Poco.Util.vs150.static.targets" Condition="Exists('..\packages\Poco.Util.vs150.static.1.10.1\build\native\Poco.Util.vs150.static.targets')" />
    <Import Project="..\packages\Poco.Zip.vs150.noarch.1.10.1\build\native\Poco.Zip.vs150.noarch.targets" Condition="Exists('..\packages\Poco.Zip.vs150.noarch.1.10.1\build\native\Poco.Zip.vs150.noarch.targets')" />
    <Import Project="..\packages\Poco.Zip.vs150.static.1.10.1\build\native\Poco.Zip.vs150.static.targets" Condition="Exists('..\packages\Poco.Zip.vs150.static.1.10.1\build\native\Poco.Zip.vs150.static.targets')" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>build\x86\$(Configuration)\bin\</OutDir>
    <IntDir>build\x86\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>build\x64\$(Configuration)\bin\</OutDir>
    <IntDir>build\x64\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>build\x86\$(Configuration)\bin\</OutDir>
    <IntDir>build\x86\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>build\x64\$(Configuration)\bin\</OutDir>
    <IntDir>build\x64\$(Configuration)\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>include;header;src\pch;..\GH-ConceptCore\output\include;..\OfficeOLE\include;C:\Program Files (x86)\Python312-32\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>POCO_STATIC; NDEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpplatest</LanguageStandard>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)obj\</ObjectFileName>
      <ProgramDataBaseFileName>$(IntDir)vc$(PlatformToolsetVersion).pdb</ProgramDataBaseFileName>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <BuildStlModules>false</BuildStlModules>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>lib\x86;..\GH-ConceptCore\output\lib\x86;..\OfficeOLE\output\lib\x86;C:\Program Files (x86)\Python312-32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>Version.lib;OfficeOLE.lib;ConceptCoreLibrary.lib;RSlang.lib;cclGraph.lib;cclLang.lib;oldnames.lib;Htmlhelp.Lib;iphlpapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <AdditionalOptions>/ignore:4099 %(AdditionalOptions)</AdditionalOptions>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0419</Culture>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)%(Filename).res</ResourceOutputFileName>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PostBuildEvent>
      <Command>xcopy /y /s /q /i "distr\app" "$(OutDir)"
copy "C:\Program Files (x86)\Python312-32\Python312.dll" "$(OutDir)"
copy "C:\Program Files (x86)\Python312-32\Python312.pdb" "$(OutDir)"
if not exist bin\x86 mkdir bin\x86
copy "$(OutDir)Exteor.exe" "bin\x86\Exteor.exe"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <AdditionalIncludeDirectories>include;header;src\pch;..\GH-ConceptCore\output\include;..\OfficeOLE\include;C:\Program Files\Python312\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>POCO_STATIC;NDEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpplatest</LanguageStandard>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)obj\</ObjectFileName>
      <ProgramDataBaseFileName>$(IntDir)vc$(PlatformToolsetVersion).pdb</ProgramDataBaseFileName>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <BuildStlModules>false</BuildStlModules>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>lib\x64;..\GH-ConceptCore\output\lib\x64;..\OfficeOLE\output\lib\x64;C:\Program Files\Python312\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>Version.lib;OfficeOLE.lib;ConceptCoreLibrary.lib;RSlang.lib;cclGraph.lib;cclLang.lib;oldnames.lib;Htmlhelp.Lib;iphlpapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
      <AdditionalOptions>/ignore:4099 %(AdditionalOptions)</AdditionalOptions>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0419</Culture>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)%(Filename).res</ResourceOutputFileName>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PostBuildEvent>
      <Command>xcopy /y /s /q /i "distr\app" "$(OutDir)"
if not exist bin\x64 mkdir bin\x64
copy "$(OutDir)Exteor.exe" "bin\x64\Exteor.exe"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <LanguageStandard>stdcpplatest</LanguageStandard>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>include;header;src\pch;..\GH-ConceptCore\output\include;..\OfficeOLE\include;C:\Program Files (x86)\Python312-32\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>POCO_STATIC;_DEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)obj\</ObjectFileName>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <BuildStlModules>false</BuildStlModules>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <AdditionalLibraryDirectories>lib\x86;..\GH-ConceptCore\output\lib\x86;..\OfficeOLE\output\lib\x86;C:\Program Files (x86)\Python312-32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>Version.lib;OfficeOLEd.lib;ConceptCoreLibraryd.lib;cclLangd.lib;RSlangd.lib;cclGraphd.lib;Htmlhelp.Lib;iphlpapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName).pdb</ProgramDatabaseFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
      <AdditionalOptions>/ignore:4099 %(AdditionalOptions)</AdditionalOptions>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0419</Culture>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)%(Filename).res</ResourceOutputFileName>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PostBuildEvent>
      <Command>xcopy /y /s /q /i "distr\app" "$(OutDir)"
copy "C:\Program Files (x86)\Python312-32\Python312_d.dll" "$(OutDir)"
copy "C:\Program Files (x86)\Python312-32\Python312_d.pdb" "$(OutDir)"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <PreBuildEvent>
      <Command>
      </Command>
    </PreBuildEvent>
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <LanguageStandard>stdcpplatest</LanguageStandard>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>include;header;src\pch;..\GH-ConceptCore\output\include;..\OfficeOLE\include;C:\Program Files\Python312\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>POCO_STATIC; _DEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)obj\</ObjectFileName>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <BuildStlModules>false</BuildStlModules>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <AdditionalLibraryDirectories>lib\x64;..\GH-ConceptCore\output\lib\x64;..\OfficeOLE\output\lib\x64;C:\Program Files\Python312\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>Version.lib;OfficeOLEd.lib;ConceptCoreLibraryd.lib;cclLangd.lib;RSlangd.lib;cclGraphd.lib;Htmlhelp.Lib;iphlpapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <ProgramDatabaseFile>$(OutDir)$(ProjectName).pdb</ProgramDatabaseFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
      <AdditionalOptions>/ignore:4099 %(AdditionalOptions)</AdditionalOptions>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0419</Culture>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)%(Filename).res</ResourceOutputFileName>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PostBuildEvent>
      <Command>xcopy /y /s /q /i "distr\app" "$(OutDir)"</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="header\SetupManager.h" />
    <ClInclude Include="include\resource.h" />
    <ClInclude Include="include\xtr\cclDescriptor.h" />
    <ClInclude Include="include\xtr\core\Encoder.h" />
    <ClInclude Include="include\xtr\core\PyCore.h" />
    <ClInclude Include="include\xtr\core\PyTextProcessor.h" />
    <ClInclude Include="include\xtr\core\rslIndex.hpp" />
    <ClInclude Include="include\xtr\core\SelectableSet.h" />
    <ClInclude Include="include\xtr\dialog\BasicDlg.h" />
    <ClInclude Include="include\xtr\dialog\CstDataPage.h" />
    <ClInclude Include="include\xtr\dialog\CstRenameDialog.h" />
    <ClInclude Include="include\xtr\dialog\EditConstituenta.h" />
    <ClInclude Include="include\xtr\dialog\ExportCstGraphDlg.h" />
    <ClInclude Include="include\xtr\dialog\ExportModel.h" />
    <ClInclude Include="include\xtr\dialog\ExportSchema.h" />
    <ClInclude Include="include\xtr\dialog\Function2Term.h" />
    <ClInclude Include="include\xtr\dialog\GenerateStructure.h" />
    <ClInclude Include="include\xtr\dialog\ImportWSDialog.h" />
    <ClInclude Include="include\xtr\dialog\InsertCstDlg.h" />
    <ClInclude Include="include\xtr\dialog\NewDocument.h" />
    <ClInclude Include="include\xtr\dialog\OpSyntGUI.h" />
    <ClInclude Include="include\xtr\dialog\OptionsDialog.h" />
    <ClInclude Include="include\xtr\dialog\PickOperation.h" />
    <ClInclude Include="include\xtr\dialog\RSModelPage.h" />
    <ClInclude Include="include\xtr\dialog\StartPage.h" />
    <ClInclude Include="include\xtr\dialog\Term2Function.h" />
    <ClInclude Include="include\xtr\dialog\TerminRefDlg.h" />
    <ClInclude Include="include\xtr\dialog\WordRefDlg.h" />
    <ClInclude Include="include\xtr\doc\DocumentManager.h" />
    <ClInclude Include="include\xtr\doc\Documents.h" />
    <ClInclude Include="include\xtr\doc\FileTypes.h" />
    <ClInclude Include="include\xtr\doc\FileVersions.hpp" />
    <ClInclude Include="include\xtr\doc\OSSDoc.h" />
    <ClInclude Include="include\xtr\doc\RSFacade.h" />
    <ClInclude Include="include\xtr\doc\RSFormDoc.h" />
    <ClInclude Include="include\xtr\doc\RSModelDoc.h" />
    <ClInclude Include="include\xtr\Exteor.h" />
    <ClInclude Include="include\xtr\ExteorOptions.h" />
    <ClInclude Include="include\xtr\ExtSourceManager.h" />
    <ClInclude Include="include\xtr\io\CArchiveAdapter.hpp" />
    <ClInclude Include="include\xtr\io\CstGraphExporter.h" />
    <ClInclude Include="include\xtr\io\ModelDataExchange.h" />
    <ClInclude Include="include\xtr\io\ModelExporter.h" />
    <ClInclude Include="include\xtr\io\OptionsIO.hpp" />
    <ClInclude Include="include\xtr\io\OSSExporter.h" />
    <ClInclude Include="include\xtr\io\OSSLegacyLoader.h" />
    <ClInclude Include="include\xtr\io\RSExcelIOManager.h" />
    <ClInclude Include="include\xtr\io\RSForm2DOCX.h" />
    <ClInclude Include="include\xtr\io\RSMLegacyLoader.h" />
    <ClInclude Include="include\xtr\io\SchemaExporter.h" />
    <ClInclude Include="include\xtr\io\SerializationManager.hpp" />
    <ClInclude Include="include\xtr\io\TRSLegacyLoader.h" />
    <ClInclude Include="include\xtr\mfcHelper.h" />
    <ClInclude Include="include\xtr\mfcMessageManager.h" />
    <ClInclude Include="include\xtr\ui\BuffRichEdit.h" />
    <ClInclude Include="include\xtr\ui\ComHelper.h" />
    <ClInclude Include="include\xtr\ui\DataGridCtrl.h" />
    <ClInclude Include="include\xtr\ui\ElementShell.h" />
    <ClInclude Include="include\xtr\ui\ExteorFrame.h" />
    <ClInclude Include="include\xtr\ui\HelpHandler.h" />
    <ClInclude Include="include\xtr\ui\KeyboardHandler.h" />
    <ClInclude Include="include\xtr\ui\RSEdit.h" />
    <ClInclude Include="include\xtr\ui\RSListCtrl.h" />
    <ClInclude Include="include\xtr\ui\RSTableCtrl.h" />
    <ClInclude Include="include\xtr\ui\SplitterFrame.h" />
    <ClInclude Include="include\xtr\ui\TextEdit.h" />
    <ClInclude Include="include\xtr\ui\UIHelper.h" />
    <ClInclude Include="include\xtr\viewmodel\vmMeta.hpp" />
    <ClInclude Include="include\xtr\viewmodel\vmTextEdit.h" />
    <ClInclude Include="include\xtr\view\OSSLayout.h" />
    <ClInclude Include="include\xtr\view\OSSView.h" />
    <ClInclude Include="include\xtr\view\PictView.h" />
    <ClInclude Include="include\xtr\view\RSFormView.h" />
    <ClInclude Include="include\xtr\view\RSModelView.h" />
    <ClInclude Include="include\xtr\view\TermTreeView.h" />
    <ClInclude Include="include\xtr\xtrDesign.h" />
    <ClInclude Include="include\xtr\xtrProcedures.h" />
    <ClInclude Include="include\xtr\xtrServices.h" />
    <ClInclude Include="src\pch\stdafx.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="src\cclDescriptor.cpp" />
    <ClCompile Include="src\core\Encoder.cpp" />
    <ClCompile Include="src\core\PyCore.cpp" />
    <ClCompile Include="src\core\PyTextProcessor.cpp" />
    <ClCompile Include="src\core\SelectableSet.cpp" />
    <ClCompile Include="src\dialog\BasicDlg.cpp" />
    <ClCompile Include="src\dialog\CstDataPage.cpp" />
    <ClCompile Include="src\dialog\CstRenameDialog.cpp" />
    <ClCompile Include="src\dialog\EditConstituenta.cpp" />
    <ClCompile Include="src\dialog\ExportCstGraphDlg.cpp" />
    <ClCompile Include="src\dialog\ExportModel.cpp" />
    <ClCompile Include="src\dialog\ExportSchema.cpp" />
    <ClCompile Include="src\dialog\Function2Term.cpp" />
    <ClCompile Include="src\dialog\GenerateStructure.cpp" />
    <ClCompile Include="src\dialog\ImportWSDialog.cpp" />
    <ClCompile Include="src\dialog\InsertCstDlg.cpp" />
    <ClCompile Include="src\dialog\NewDocument.cpp" />
    <ClCompile Include="src\dialog\OpSyntGUI.cpp" />
    <ClCompile Include="src\dialog\OptionsDialog.cpp" />
    <ClCompile Include="src\dialog\PickOperation.cpp" />
    <ClCompile Include="src\dialog\RSModelPage.cpp" />
    <ClCompile Include="src\dialog\StartPage.cpp" />
    <ClCompile Include="src\dialog\Term2Function.cpp" />
    <ClCompile Include="src\dialog\TerminRefDlg.cpp" />
    <ClCompile Include="src\dialog\WordRefDlg.cpp" />
    <ClCompile Include="src\doc\DocumentManager.cpp" />
    <ClCompile Include="src\doc\Documents.cpp" />
    <ClCompile Include="src\doc\FileTypes.cpp" />
    <ClCompile Include="src\doc\OSSDoc.cpp" />
    <ClCompile Include="src\doc\RSFacade.cpp" />
    <ClCompile Include="src\doc\RSFormDoc.cpp" />
    <ClCompile Include="src\doc\RSModelDoc.cpp" />
    <ClCompile Include="src\Exteor.cpp" />
    <ClCompile Include="src\ExteorOptions.cpp" />
    <ClCompile Include="src\ExtSourceManager.cpp" />
    <ClCompile Include="src\io\CstGraphExporter.cpp" />
    <ClCompile Include="src\io\ModelDataExchange.cpp" />
    <ClCompile Include="src\io\ModelExporter.cpp" />
    <ClCompile Include="src\io\OSSExporter.cpp" />
    <ClCompile Include="src\io\OSSLegacyLoader.cpp" />
    <ClCompile Include="src\io\RSExcelIOManager.cpp" />
    <ClCompile Include="src\io\RSForm2DOCX.cpp" />
    <ClCompile Include="src\io\RSMLegacyLoader.cpp" />
    <ClCompile Include="src\io\SchemaExporter.cpp" />
    <ClCompile Include="src\io\TRSLegacyLoader.cpp" />
    <ClCompile Include="src\mfcHelper.cpp" />
    <ClCompile Include="src\mfcMessageManager.cpp" />
    <ClCompile Include="src\pch\stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="src\SetupManager.cpp" />
    <ClCompile Include="src\ui\BuffRichEdit.cpp" />
    <ClCompile Include="src\ui\ComHelper.cpp" />
    <ClCompile Include="src\ui\DataGridCtrl.cpp" />
    <ClCompile Include="src\ui\ElementShell.cpp" />
    <ClCompile Include="src\ui\ExteorFrame.cpp" />
    <ClCompile Include="src\ui\HelpHandler.cpp" />
    <ClCompile Include="src\ui\KeyboardHandler.cpp" />
    <ClCompile Include="src\ui\RSEdit.cpp" />
    <ClCompile Include="src\ui\RSListCtrl.cpp" />
    <ClCompile Include="src\ui\RSTableCtrl.cpp" />
    <ClCompile Include="src\ui\SplitterFrame.cpp" />
    <ClCompile Include="src\ui\TextEdit.cpp" />
    <ClCompile Include="src\ui\UIHelper.cpp" />
    <ClCompile Include="src\viewmodel\vmTextEdit.cpp" />
    <ClCompile Include="src\view\OSSLayout.cpp" />
    <ClCompile Include="src\view\OSSView.cpp" />
    <ClCompile Include="src\view\PictView.cpp" />
    <ClCompile Include="src\view\RSFormView.cpp" />
    <ClCompile Include="src\view\RSModelView.cpp" />
    <ClCompile Include="src\view\TermTreeView.cpp" />
    <ClCompile Include="src\xtrDesign.cpp" />
    <ClCompile Include="src\xtrProcedures.cpp" />
    <ClCompile Include="src\xtrServices.cpp" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
    <None Include="resource\CREATE_OPERATION.CUR" />
    <None Include="resource\HYPERLINK.CUR" />
    <None Include="script\buildHelp.bat" />
    <None Include="script\Deploy.groovy" />
    <None Include="script\deployLocal.bat" />
    <None Include="script\ExteorSetup.iss" />
    <None Include="script\PymorphyInstall.bat" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="distr\app\UpdateLog.txt" />
    <Text Include="doc\!Testing ascpects.txt" />
    <Text Include="Doc\Порядок выпуска версии.txt" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\GH-ConceptCore\ccl\core\ConceptLibrary.vcxproj">
      <Project>{b0aba27b-9d39-4b48-9977-aff20925b309}</Project>
    </ProjectReference>
    <ProjectReference Include="..\OfficeOLE\OfficeOLE.vcxproj">
      <Project>{7e5f3034-b8db-4073-bf8f-78ea626d5624}</Project>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Image Include="resource\BTN_BOOLEAN.BMP" />
    <Image Include="resource\BTN_DECART.BMP" />
    <Image Include="resource\BTN_DOUBLEPAR.BMP" />
    <Image Include="resource\BTN_DOUBLESQR.bmp" />
    <Image Include="resource\BTN_ELEMENT.BMP" />
    <Image Include="resource\BTN_EMPTYSET.BMP" />
    <Image Include="resource\BTN_EQUAL.BMP" />
    <Image Include="resource\BTN_GREATER_OR_EQ.BMP" />
    <Image Include="resource\BTN_INFINITY.BMP" />
    <Image Include="resource\BTN_LESSER_OR_EQ.BMP" />
    <Image Include="resource\BTN_LOGIC_AND.BMP" />
    <Image Include="resource\BTN_LOGIC_EQ.BMP" />
    <Image Include="resource\BTN_LOGIC_EXISTS.BMP" />
    <Image Include="resource\BTN_LOGIC_FORALL.BMP" />
    <Image Include="resource\BTN_LOGIC_IMPLICAT.BMP" />
    <Image Include="resource\BTN_LOGIC_NOT.BMP" />
    <Image Include="resource\BTN_LOGIC_OR.BMP" />
    <Image Include="resource\BTN_NOTELEMENT.BMP" />
    <Image Include="resource\BTN_NOTEQUAL.BMP" />
    <Image Include="resource\BTN_NOTSUBSET.BMP" />
    <Image Include="resource\BTN_SETDECLARATION.BMP" />
    <Image Include="resource\BTN_SET_INTERSECT.BMP" />
    <Image Include="resource\BTN_SET_MINUS.BMP" />
    <Image Include="resource\BTN_SET_UNION.BMP" />
    <Image Include="resource\BTN_SUBSET.BMP" />
    <Image Include="resource\BTN_SUBSET_OR_EQ.BMP" />
    <Image Include="resource\BTN_SYMMINUS.BMP" />
    <Image Include="resource\ExteorApp.ico" />
    <Image Include="resource\HELP.ico" />
    <Image Include="resource\NEW_DOC.ico" />
    <Image Include="resource\OPEN_DOC.ico" />
    <Image Include="resource\ossFile.ico" />
    <Image Include="resource\PICT_BASIS.ICO" />
    <Image Include="resource\PICT_BROKEN.ICO" />
    <Image Include="resource\PICT_DEFINED.ICO" />
    <Image Include="resource\PICT_DONE.ICO" />
    <Image Include="resource\PICT_HASFILE.ICO" />
    <Image Include="resource\PICT_REDO.ICO" />
    <Image Include="resource\PICT_UNDEFINED.ICO" />
    <Image Include="resource\rsmFile.ico" />
    <Image Include="resource\SAMPLES.ico" />
    <Image Include="resource\TOOLBAR_MAINFRAME.BMP" />
    <Image Include="resource\TOOLBAR_OSS.BMP" />
    <Image Include="resource\TOOLBAR_RSFORM.BMP" />
    <Image Include="resource\trsFile.ico" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="include\Exteor.RC" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\Poco.Foundation.vs150.noarch.1.10.1\build\native\Poco.Foundation.vs150.noarch.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Foundation.vs150.noarch.1.10.1\build\native\Poco.Foundation.vs150.noarch.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.Foundation.vs150.static.1.10.1\build\native\Poco.Foundation.vs150.static.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Foundation.vs150.static.1.10.1\build\native\Poco.Foundation.vs150.static.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.JSON.vs150.noarch.1.10.1\build\native\Poco.JSON.vs150.noarch.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.JSON.vs150.noarch.1.10.1\build\native\Poco.JSON.vs150.noarch.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.JSON.vs150.static.1.10.1\build\native\Poco.JSON.vs150.static.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.JSON.vs150.static.1.10.1\build\native\Poco.JSON.vs150.static.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.Net.vs150.noarch.1.10.1\build\native\Poco.Net.vs150.noarch.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Net.vs150.noarch.1.10.1\build\native\Poco.Net.vs150.noarch.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.Net.vs150.static.1.10.1\build\native\Poco.Net.vs150.static.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Net.vs150.static.1.10.1\build\native\Poco.Net.vs150.static.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.Util.vs150.noarch.1.10.1\build\native\Poco.Util.vs150.noarch.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Util.vs150.noarch.1.10.1\build\native\Poco.Util.vs150.noarch.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.XML.vs150.noarch.1.10.1\build\native\Poco.XML.vs150.noarch.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.XML.vs150.noarch.1.10.1\build\native\Poco.XML.vs150.noarch.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.XML.vs150.static.1.10.1\build\native\Poco.XML.vs150.static.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.XML.vs150.static.1.10.1\build\native\Poco.XML.vs150.static.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.Util.vs150.static.1.10.1\build\native\Poco.Util.vs150.static.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Util.vs150.static.1.10.1\build\native\Poco.Util.vs150.static.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.Zip.vs150.noarch.1.10.1\build\native\Poco.Zip.vs150.noarch.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Zip.vs150.noarch.1.10.1\build\native\Poco.Zip.vs150.noarch.targets'))" />
    <Error Condition="!Exists('..\packages\Poco.Zip.vs150.static.1.10.1\build\native\Poco.Zip.vs150.static.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Poco.Zip.vs150.static.1.10.1\build\native\Poco.Zip.vs150.static.targets'))" />
  </Target>
</Project>